# 智能题库学习系统 (Smart Question Bank Learning System)

## 数据模型说明

### BaseModel

- 基础模型，包含 id、创建时间、更新时间等通用字段
- 提供 CRUD 操作的基类功能
- 继承自 SQLAlchemy 的 Base 类

## 存储类说明

### BaseStore

所有存储类的基类，提供以下功能：

- 基本的 CRUD 操作
- 软删除支持（通过 is_deleted 字段）
- 唯一性检查
- 恢复已删除对象
- 查询包含/排除已删除对象

### ExamStore

考试存储类，提供考试相关的特定操作：

- 根据考试名称获取考试
- 根据学科获取考试列表
- 获取所有激活的考试
- 获取即将开始的考试
- 获取包含题目信息的考试列表

### QuestionStore

题目存储类，提供题目相关的特定操作：

- 根据学科获取题目列表

### KnowledgePointStore

知识点存储类，提供知识点相关的特定操作：

- 根据学科获取知识点列表
- 根据难度等级获取知识点列表
- 获取所有根知识点
- 根据父知识点 ID 获取子知识点列表
- 获取完整的知识点树结构

[保留原有 README_DEV.md 的其余内容...]
