from sqlalchemy import Column, Integer, Float, ForeignKey
from .base_model import BaseModel, CreateModel, UpdateModel, DeleteModel


class ExamQuestionRelationModel(BaseModel, CreateModel, UpdateModel,
                                DeleteModel):
    """
    考试题目关联模型
    对应数据库表: exam_question_relations
    """
    __tablename__ = 'exam_question_relations'

    exam_id = Column(Integer,
                     ForeignKey('exams.id'),
                     nullable=False,
                     comment='考试ID')
    question_id = Column(Integer,
                         ForeignKey('questions.id'),
                         nullable=False,
                         comment='题目ID')
    score = Column(Float, nullable=False, comment='题目分值')
    order = Column(Integer, nullable=False, comment='题目顺序')

    def __repr__(self):
        return f"<ExamQuestionRelation(id={self.id}, exam_id={self.exam_id}, question_id={self.question_id})>"
