from sqlalchemy import Column, Integer, Float, DateTime
from .base_model import BaseModel, CreateModel, UpdateModel, DeleteModel


class ExamScoreModel(BaseModel, CreateModel, UpdateModel, DeleteModel):
    """
    考试成绩模型
    对应数据库表: exam_scores
    """
    __tablename__ = 'exam_scores'

    user_id = Column(Integer,
                     ForeignKey('users.id'),
                     nullable=False,
                     comment='用户ID')
    exam_id = Column(Integer,
                     ForeignKey('exams.id'),
                     nullable=False,
                     comment='考试ID')
    score = Column(Float, nullable=False, comment='考试成绩')
    start_time = Column(DateTime, nullable=False, comment='开始时间')
    end_time = Column(DateTime, nullable=False, comment='结束时间')
    status = Column(String(20), nullable=False, comment='状态')

    def __repr__(self):
        return f"<ExamScore(id={self.id}, user_id={self.user_id}, exam_id={self.exam_id})>"
