from sqlalchemy import Column, Integer, ForeignKey
from .base_model import BaseModel


class ExerciseQuestionRelationModel(BaseModel):
    """
    练习-题目关联模型
    对应数据库表: exercise_question_relations
    """
    __tablename__ = 'exercise_question_relations'

    exercise_id = Column(Integer, ForeignKey('exercises.id'), primary_key=True)
    question_id = Column(Integer, ForeignKey('questions.id'), primary_key=True)
    order = Column(Integer, nullable=False, comment='题目顺序')

    def __repr__(self):
        return f"<ExerciseQuestionRelation(exercise_id={self.exercise_id}, question_id={self.question_id})>"
