from sqlalchemy import Column, Integer, String, Text, ForeignKey
from .base_model import BaseModel, CreateModel, UpdateModel, DeleteModel


class KnowledgePointModel(BaseModel, CreateModel, UpdateModel, DeleteModel):
    """
    知识点模型
    对应数据库表: knowledge_points
    """
    __tablename__ = 'knowledge_points'

    name = Column(String(100), nullable=False, comment='知识点名称')
    description = Column(Text, comment='知识点描述')
    subject = Column(String(50), nullable=False, comment='所属学科')
    level = Column(Integer, nullable=False, comment='难度等级')
    parent_id = Column(Integer,
                       ForeignKey('knowledge_points.id'),
                       comment='父知识点ID')

    def __repr__(self):
        return f"<KnowledgePoint(id={self.id}, name={self.name}, subject={self.subject})>"
