from sqlalchemy import Column, Integer, ForeignKey
from .base_model import BaseModel


class QuestionKnowledgePointModel(BaseModel):
    """
    题目-知识点关联模型
    对应数据库表: question_knowledge_points
    """
    __tablename__ = 'question_knowledge_points'

    question_id = Column(Integer, ForeignKey('questions.id'), primary_key=True)
    knowledge_point_id = Column(Integer,
                                ForeignKey('knowledge_points.id'),
                                primary_key=True)

    def __repr__(self):
        return f"<QuestionKnowledgePoint(question_id={self.question_id}, knowledge_point_id={self.knowledge_point_id})>"
