from sqlalchemy import Column, Integer, String, Boolean, ForeignKey
from .base_model import BaseModel, CreateModel, UpdateModel, DeleteModel


class QuestionOptionModel(BaseModel, CreateModel, UpdateModel, DeleteModel):
    """
    题目选项模型
    对应数据库表: question_options
    """
    __tablename__ = 'question_options'

    question_id = Column(Integer,
                         ForeignKey('questions.id'),
                         nullable=False,
                         comment='题目ID')
    option_text = Column(String(500), nullable=False, comment='选项内容')
    is_correct = Column(Boolean,
                        nullable=False,
                        default=False,
                        comment='是否为正确答案')
    order = Column(Integer, nullable=False, comment='选项顺序')

    def __repr__(self):
        return f"<QuestionOption(id={self.id}, question_id={self.question_id}, option_text={self.option_text})>"
