from sqlalchemy import Column, String, Integer, ForeignKey
from .base_model import BaseModel, CreateModel, UpdateModel, DeleteModel


class StatusModel(BaseModel, CreateModel, UpdateModel, DeleteModel):
    __tablename__ = 'sys_status'

    name = Column(String(100), nullable=False, comment="状态名称")
    type = Column(String(100), nullable=False, unique=True, comment="状态类型")
    label = Column(String(100), nullable=False, comment="显示名称")
    value = Column(String(500), nullable=True, comment="状态值")
    sort = Column(Integer, default=0)
    status = Column(Integer, default=1, comment="状态（1正常 0停用）")
    remark = Column(String(500), nullable=True, comment="备注")
