from sqlalchemy import Column, Integer, ForeignKey
from .base_model import BaseModel


class UserRoleModel(BaseModel):
    """
    用户-角色关联表模型
    对应数据库表: sys_user_roles
    """
    __tablename__ = 'sys_user_roles'

    user_id = Column(Integer, ForeignKey('sys_users.id'), primary_key=True)
    role_id = Column(Integer, ForeignKey('sys_roles.id'), primary_key=True)
